//////////////////////////////////////////////////////////////////////////
// File: 	pixmanip.h                                             	//
// Description: Definitions required for the program		 	//
// Author:	gbajunkie					  	//
// Date: 	9th January 2002                                      	//
//////////////////////////////////////////////////////////////////////////
//define the flags for enabling backgrounds
#define BG0_ENABLE	0x100
#define BG1_ENABLE	0x200
#define BG2_ENABLE	0x400
#define BG3_ENABLE	0x800

//define the different modes available
#define MODE_0	0x0
#define MODE_1	0x1
#define MODE_2	0x2
#define MODE_3	0x3
#define MODE_4	0x4
#define MODE_5	0x5

//colour convertion (converts a RGB colour to a 15-bit BGR value used by the GBA)
#define RGB16_BGR(r, g, b) ((r)+(g<<5)+(b<<10))

//define the screen width and height values to be used
#define SCREEN_WIDTH	240
#define SCREEN_HEIGHT   160
